View Issue Details

IDProjectCategoryView StatusLast Update
0000724OpenFOAM[All Projects] Bugpublic2015-01-03 15:53
Reporteruser582Assigned Tohenry 
PriorityimmediateSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSOpenSuseOS Version12.2
Product Version 
Fixed in Version 
Summary0000724: chtMulitRegionSimpleFoam Tutorial: multiRegionHeater with directionalKSolidThermo does not work in v2.1.1 and v2.1.0
DescriptionRunnig the chtMultiRegionSimpleFoam tutorial "multiRegionHeater"
Changing the thermoType of the solids from constSolidThermo to directionalKSolidThermo.
After runnig chtMuliRegionSimpleFoam there is the error:

--> FOAM FATAL ERROR:
Not implemented

    From function directionalKSolidThermo::K(const label) const
    in file directionalKSolidThermo/directionalKSolidThermo.H at line 134.

FOAM aborting



When using OpenFOAM Version 2.1.0 and also the tutorial from Version 2.1.0 there ist the error:

--> FOAM FATAL IO ERROR:
keyword laplacian(,T) is undefined in dictionary "/.automount/platte04/tmp/chtMultiRegionFoam/openfoam210/multiRegionHeater/system/leftSolid/fvSchemes::laplacianSchemes"

file: /chtMultiRegionFoam/openfoam210/multiRegionHeater/system/leftSolid/fvSchemes::laplacianSchemes from line 34 to line 35.

    From function dictionary::lookupEntry(const word&, bool, bool) const
    in file db/dictionary/dictionary.C at line 400.

FOAM exiting





 
Steps To ReproduceJust change the thermoType from constSolidThermo to directionalKSolidThermo
TagsNo tags attached.

Activities

wyldckat

2013-01-23 12:44

updater   ~0001862

See issue #622: http://www.openfoam.org/mantisbt/view.php?id=622

Issue History

Date Modified Username Field Change
2013-01-23 12:35 user582 New Issue
2013-01-23 12:44 wyldckat Note Added: 0001862
2015-01-01 14:36 henry Status new => resolved
2015-01-01 14:36 henry Resolution open => fixed
2015-01-01 14:36 henry Assigned To => henry